curl -X POST https://api.tryprofound.com/v2/reports/shopping/merchants \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"metrics": ["merchant_share", "merchant_share_rank", "merchant_visibility", "merchant_visibility_rank"],
"limit": 10
}'
{
"info": {
"total_results": 24,
"count": 10,
"next_cursor": "eyJvZmZzZXQiOjEwfQ==",
"view": "distribution",
"models": ["ChatGPT"],
"metrics": ["merchant_share", "merchant_share_rank", "merchant_visibility", "merchant_visibility_rank"],
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"filter": null
},
"data": [
{
"merchant_name": "Example Retailer",
"merchant_share": 0.25,
"merchant_share_rank": 1,
"merchant_visibility": 0.40,
"merchant_visibility_rank": 1
}
]
}
Shopping
マーチャント
POST
/
v2
/
reports
/
shopping
/
merchants
curl -X POST https://api.tryprofound.com/v2/reports/shopping/merchants \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"metrics": ["merchant_share", "merchant_share_rank", "merchant_visibility", "merchant_visibility_rank"],
"limit": 10
}'
{
"info": {
"total_results": 24,
"count": 10,
"next_cursor": "eyJvZmZzZXQiOjEwfQ==",
"view": "distribution",
"models": ["ChatGPT"],
"metrics": ["merchant_share", "merchant_share_rank", "merchant_visibility", "merchant_visibility_rank"],
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"filter": null
},
"data": [
{
"merchant_name": "Example Retailer",
"merchant_share": 0.25,
"merchant_share_rank": 1,
"merchant_visibility": 0.40,
"merchant_visibility_rank": 1
}
]
}
このレポートは、ChatGPT のショッピング結果におけるマーチャントのデータを提供します。
group_by
で 3 つのビューのいずれかを選択します。merchant_share はオファーに占めるマーチャントのシェアです。
merchant_visibility は、そのマーチャントが表示された実行の割合です。これらは
2 つの異なる指標です。
ビュー
- 分布 (
group_byを省略) — マーチャントごとに 1 行。指標:merchant_share、merchant_share_rank、merchant_visibility、merchant_visibility_rank。時系列を取得するにはdateを追加します。 - ブランドシェア (
group_by: ["brand"]) — マーチャントとブランドの組み合わせごとに 1 行。指標:merchant_share、brand_share(マーチャント内でのブランドのシェア)、visibility_rank。 - 上位の商品 (
group_by: ["product"]) — マーチャントと商品の組み合わせごとに 1 行。指標:merchant_visibility、product_visibility、product_rank。
topic、region、persona、prompt、tag。
分布ビューでは brand フィルタも使用できます。
ルール
- ビューで有効な指標を使用してください。それ以外の指標は
422を返します。 - グループ化は
brandまたはproductのいずれかで行います。両方は使用できません。 dateは分布ビューでのみ使用できます。group_by: ["brand", "date"]または["product", "date"]は422を返します。brandフィルタは分布ビューでのみ使用できます。
分布ビューでは、
merchant_visibility と merchant_visibility_rank
は実行での表示に関する指標です。レポートはこれらを 2 回目のクエリで取得し、
各マーチャントに追加します。必要な場合にのみリクエストしてください。ショッピングデータは ChatGPT のみから取得されます。ショッピングレポートには
model の
group_by や model フィルタはありません。v2 レポートは共通のリクエスト形式を使用します。フィルタツリー、グループ化、
ページネーションについては、フィルタリングと概念 を参照してください。
ストリーミング (SSE) バリアント (同じボディ、/stream)
ストリーミング (SSE) バリアント (同じボディ、/stream)
POST /v2/reports/shopping/merchants/stream は 同じリクエストボディ を使用します。
Server-Sent Events を返し、
まず 1 つの summary イベント (info ブロック) が送信され、続いて行ごとに 1 つの result イベントが送信されます。
ストリームは limit と cursor を受け付けません。デフォルトではすべての行が返されます。
上限を設定するには max_results (最大 50000) を使用します。curl -X POST https://api.tryprofound.com/v2/reports/shopping/merchants \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"metrics": ["merchant_share", "merchant_share_rank", "merchant_visibility", "merchant_visibility_rank"],
"limit": 10
}'
{
"info": {
"total_results": 24,
"count": 10,
"next_cursor": "eyJvZmZzZXQiOjEwfQ==",
"view": "distribution",
"models": ["ChatGPT"],
"metrics": ["merchant_share", "merchant_share_rank", "merchant_visibility", "merchant_visibility_rank"],
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"filter": null
},
"data": [
{
"merchant_name": "Example Retailer",
"merchant_share": 0.25,
"merchant_share_rank": 1,
"merchant_visibility": 0.40,
"merchant_visibility_rank": 1
}
]
}
承認
APIKeyHeaderBearerAuth
ボディ
application/json
YYYY-MM-DD, ET, inclusive
YYYY-MM-DD, ET, inclusive
[] = distribution; [brand] = brand share within each merchant; [product] = top products per merchant. date (distribution only) adds a time series.
利用可能なオプション:
date, brand, product Defaults to the chosen view's metrics; must be valid for that view.
利用可能なオプション:
merchant_share, merchant_share_rank, merchant_visibility, merchant_visibility_rank, visibility_rank, brand_share, product_visibility, product_rank 利用可能なオプション:
day, week, month A leaf (field/op/value) or an and/or/not group.
Show child attributes
Show child attributes
Page size; default 10, max 50.
必須範囲:
0 < x <= 50Stream endpoint only: cap streamed rows.
必須範囲:
0 < x <= 50000このページは役に立ちましたか?